<<

# collectstats.pl

- NAME
- SYNOPSIS
- OPTIONS
- DESCRIPTION

# NAME

collectstats.pl - Collect data about Bugzilla bugs.

# SYNOPSIS

     ./collectstats.pl [--regenerate] [--help]

Collects data about bugs to be used in Old and New Charts.

# OPTIONS

--help

  Print this help page.

--regenerate

  Recreate all the data about bugs, from day 1. This option is only relevant for Old Charts, and has no effect for New Charts. This option will overwrite all existing collected data and can take a huge amount of time. You normally don't need to use this option (do not use it in a cron job).

# DESCRIPTION

This script collects data about all bugs for Old Charts, triaged by product and by bug status and resolution. It also collects data for New Charts, based on existing series. For New Charts, data is only collected once a series is defined; this script cannot recreate data prior to this date.

<<